.hero {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100vh;

    &__inner {
        display: flex;
        height: 100%;
        align-items: center;
        flex-direction: column;
    }

    &__button {
        @extend h1;
        color: $white;

        &:hover {
            color: $white
        }
    }

    .h1 {
        &--display {
            @extend .pulse;
            margin-top: 100px;
            
            animation-name: fade-in, pulse;
            animation-fill-mode: both;
            animation-duration: 1s;
            animation-delay: 3s;
        }
    }

    &__couple {
        width: 100%;
        max-width: 850px;
        margin-top: 150px;
        position: relative;
        
        display: flex;
        align-items: center;
        justify-content: center;
    }


    .icon {
        @extend .fadeInUp, .fadeIn, .bounce;
        position: absolute;

        &--heart {
            max-width: 550px;
            width: 100%;
            top: -20em;

            animation-name: fadeInUp;
            animation-fill-mode: both;
            animation-duration: 1s;
            animation-delay: 3s;
        }

        &--love {
            max-width: 750px;
            width: 100%;
            top: 3.5em;
            z-index: 2;

            animation-name: fade-in, bounce;
            animation-fill-mode: both;
            animation-duration: 2s;
            animation-delay: 0s;
        }

        &--love-circle {
            z-index: -1;
            max-width: 560px;
            width: 100%;

            position: absolute;
            top: 11em;
            left: 22%;
        
            transform: translate(-50%, -50%); 

            animation-name: fadeIn;
            animation-fill-mode: both;
            animation-duration: 3s;
            animation-delay: 4s;
        }
    }

    &__person {
        @extend .swing;
        width: 100%;
        max-width: 300px;
        border-radius: 500px;
        border: 10px solid $white;

        &--him {
            max-width: 350px;
            margin-left: -50px;
            animation-delay: 1.25s;
        }


        animation-name: fade-in, swing;
        animation-fill-mode: both;
        animation-duration: 3s;
        animation-delay: 2s;
    }
}